

#set geometries "50x50+10+10 50x50+100+100 "
set geometries "128x128+64+64"
#set geometries "256x256+0+0"

set pacco_defaults(Img_:subclass) byte
set pacco_defaults(obox:access) private

set i 0
foreach geo $geometries {
	incr i
	set geo1 [split $geo "+x"]
	append box " " [format "{Img_ a%d %s}" $i [lrange $geo1 0 1]]
	puts $box
}
obox a $box

a.a1 acq open /dev/cxg0
eval a.a1 acq set $geometries

wm  minsize . 1 1
pack [frame .a]
foreach n [a info children] {
	pacco/display .$n $n -side left -expand true -fill both
}

set i 0
while 1 {
	foreach n [a info children] {
		$n acq
	}
	#after 500
	incr i
	puts $i
	update
}








